/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.engineReleases;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：执行引擎版本
*
* createdate:  2022-09-28 14:54:33  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "执行引擎版本")
public class CdEngineReleasesAddDto implements Serializable
{
    /**
     * 更新包名称<br>
     */
    @ApiModelProperty("更新包名称")
    @Size(max = 128, message="更新包名称-packageName: 数据长度不能 > 128" )
    private String packageName;
    /**
     * 发行版本号<br>
     */
    @ApiModelProperty("发行版本号")
    @Size(max = 255, message="发行版本号-releaseVersion: 数据长度不能 > 255" )
    private String releaseVersion;
    /**
     * 发行标题<br>
     */
    @ApiModelProperty("发行标题")
    @Size(max = 128, message="发行标题-releaseTitle: 数据长度不能 > 128" )
    private String releaseTitle;
    /**
     * 发行内容<br>
     */
    @ApiModelProperty("发行内容")
    @Size(max = 500, message="发行内容-releaseNote: 数据长度不能 > 500" )
    private String releaseNote;

    @ApiModelProperty("资源id")
    private String resourceId;

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getReleaseVersion() {
        return releaseVersion;
    }

    public void setReleaseVersion(String releaseVersion) {
        this.releaseVersion = releaseVersion;
    }

    public String getReleaseTitle() {
        return releaseTitle;
    }

    public void setReleaseTitle(String releaseTitle) {
        this.releaseTitle = releaseTitle;
    }

    public String getReleaseNote() {
        return releaseNote;
    }

    public void setReleaseNote(String releaseNote) {
        this.releaseNote = releaseNote;
    }
}